package com.zbf.system.service;

import com.zbf.system.domain.AppVersions;

import java.util.List;

public interface IAppVersionsService {
    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public AppVersions selectAppVersionsById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param appVersions 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<AppVersions> selectAppVersionsList(AppVersions appVersions);

    /**
     * 新增【请填写功能名称】
     *
     * @param appVersions 【请填写功能名称】
     * @return 结果
     */
    public int insertAppVersions(AppVersions appVersions);

    /**
     * 修改【请填写功能名称】
     *
     * @param appVersions 【请填写功能名称】
     * @return 结果
     */
    public int updateAppVersions(AppVersions appVersions);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteAppVersionsByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteAppVersionsById(Long id);

    /**
     * 批量禁用【请填写功能名称】
     *
     * @param ids 需要禁用的【请填写功能名称】主键集合
     * @return 结果
     */
    public int disabledAppVersionsByIds(Long[] ids);

    /**
     * 批量启用【请填写功能名称】
     *
     * @param ids 需要启用的【请填写功能名称】主键集合
     * @return 结果
     */
    public int enableAppVersionsByIds(Long[] ids);

    /**
     * 改变状态
     *
     * @param appVersions
     * @return 结果
     */
    public int updateStatus(AppVersions appVersions);
}
